
package de.ivu.elect.presentation.gruppe.table;

import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.presentation.table.AbstractColumnEntry;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class GruppeMinderheitColumn extends AbstractColumnEntry<Gruppe> {

  private final AbstractPolitischeGruppeColumn politischeGruppeMinderheitColumn;

  public GruppeMinderheitColumn(Messages messages, AbstractPolitischeGruppeColumn politischeGruppeMinderheitColumn) {
    super(messages);
    this.politischeGruppeMinderheitColumn = politischeGruppeMinderheitColumn;
  }

  private static final long serialVersionUID = 1L;

  @Override
  public Object getValue(Gruppe entity) {
    return entity.getMinderheit();
  }

  @Override
  public boolean isRendered() {
    return politischeGruppeMinderheitColumn.isRendered();
  }

  @Override
  public ColumnType getType() {
    return politischeGruppeMinderheitColumn.getType();
  }

  @Override
  public String getHeader() {
    return politischeGruppeMinderheitColumn.getHeader();
  }
}
